Index: code/branches/cpp11_v3/src/modules/overlays/FadeoutText.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/FadeoutText.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/FadeoutText.h	(revision 11054)
@@ -44,6 +44,6 @@
             virtual ~FadeoutText() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             inline void setDelay(float delay)
@@ -58,6 +58,6 @@
 
         private:
-            virtual void changedColour();
-            virtual void changedCaption();
+            virtual void changedColour() override;
+            virtual void changedCaption() override;
 
             void fadeout();
Index: code/branches/cpp11_v3/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/GUIOverlay.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/GUIOverlay.cc	(revision 11054)
@@ -92,5 +92,5 @@
             ControllableEntity* entity = orxonox_cast<ControllableEntity*>(this->getOwner());
             if (entity)
-                GUIManager::getInstance().setPlayer(name, entity->getPlayer()); //Set Player is going to be NULL, so it needs to be set in changedVisibility() as well.
+                GUIManager::getInstance().setPlayer(name, entity->getPlayer()); //Set Player is going to be nullptr, so it needs to be set in changedVisibility() as well.
         }
     }
Index: code/branches/cpp11_v3/src/modules/overlays/GUIOverlay.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/GUIOverlay.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/GUIOverlay.h	(revision 11054)
@@ -44,11 +44,11 @@
             virtual ~GUIOverlay();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setGUIName(const std::string& name);
             inline const std::string& getGUIName() const { return this->guiName_; }
 
-            virtual void changedVisibility();
-            virtual void changedOwner();
+            virtual void changedVisibility() override;
+            virtual void changedOwner() override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/OverlayText.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/OverlayText.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/OverlayText.cc	(revision 11054)
@@ -32,5 +32,4 @@
 #include <OgrePanelOverlayElement.h>
 #include <OgreTextAreaOverlayElement.h>
-#include <boost/static_assert.hpp>
 
 #include "util/StringUtils.h"
@@ -43,7 +42,7 @@
     RegisterClass(OverlayText);
 
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Left   == (int)OverlayText::Left);
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Center == (int)OverlayText::Center);
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Right  == (int)OverlayText::Right);
+    static_assert((int)Ogre::TextAreaOverlayElement::Left   == (int)OverlayText::Left,   "check enum");
+    static_assert((int)Ogre::TextAreaOverlayElement::Center == (int)OverlayText::Center, "check enum");
+    static_assert((int)Ogre::TextAreaOverlayElement::Right  == (int)OverlayText::Right,  "check enum");
 
     OverlayText::OverlayText(Context* context)
Index: code/branches/cpp11_v3/src/modules/overlays/OverlayText.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/OverlayText.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/OverlayText.h	(revision 11054)
@@ -52,5 +52,5 @@
         virtual ~OverlayText();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setCaption(const std::string& caption);
@@ -76,5 +76,5 @@
 
     protected:
-        virtual void sizeChanged();
+        virtual void sizeChanged() override;
         virtual void changedColour() {}
         virtual void changedCaption() {}
Index: code/branches/cpp11_v3/src/modules/overlays/debugging/DebugFPSText.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/debugging/DebugFPSText.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/debugging/DebugFPSText.h	(revision 11054)
@@ -43,5 +43,5 @@
         virtual ~DebugFPSText();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
     };
 }
Index: code/branches/cpp11_v3/src/modules/overlays/debugging/DebugPositionText.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/debugging/DebugPositionText.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/debugging/DebugPositionText.cc	(revision 11054)
@@ -52,5 +52,5 @@
         SUPER(DebugPositionText, tick, dt);
         
-        ObjectList<NewHumanController>::iterator it = ObjectList<NewHumanController>::begin();
+        ObjectList<NewHumanController>::iterator it = ObjectList<NewHumanController>().begin();
         if (it && it->getControllableEntity() )
         {
Index: code/branches/cpp11_v3/src/modules/overlays/debugging/DebugPositionText.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/debugging/DebugPositionText.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/debugging/DebugPositionText.h	(revision 11054)
@@ -43,5 +43,5 @@
         virtual ~DebugPositionText();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
     };
 }
Index: code/branches/cpp11_v3/src/modules/overlays/debugging/DebugRTRText.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/debugging/DebugRTRText.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/debugging/DebugRTRText.h	(revision 11054)
@@ -43,5 +43,5 @@
         virtual ~DebugRTRText();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
     };
 }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/AnnounceMessage.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/AnnounceMessage.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/AnnounceMessage.cc	(revision 11054)
@@ -40,5 +40,5 @@
         RegisterObject(AnnounceMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->setDelay(3.0f);
Index: code/branches/cpp11_v3/src/modules/overlays/hud/AnnounceMessage.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/AnnounceMessage.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/AnnounceMessage.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~AnnounceMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void announcemessage(const GametypeInfo* gtinfo, const std::string& message);
+            virtual void announcemessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/ChatOverlay.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/ChatOverlay.cc	(revision 11054)
@@ -58,6 +58,6 @@
     ChatOverlay::~ChatOverlay()
     {
-        for (std::set<Timer*>::iterator it = this->timers_.begin(); it != this->timers_.end(); ++it)
-            delete (*it);
+        for (Timer* timer : this->timers_)
+            delete timer;
     }
 
@@ -92,7 +92,7 @@
         this->text_->setCaption("");
 
-        for (std::list<Ogre::DisplayString>::iterator it = this->messages_.begin(); it != this->messages_.end(); ++it)
+        for (const Ogre::DisplayString& message : this->messages_)
         {
-            this->text_->setCaption(this->text_->getCaption() + "\n" + (*it));
+            this->text_->setCaption(this->text_->getCaption() + "\n" + message);
         }
     }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/ChatOverlay.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/ChatOverlay.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/ChatOverlay.h	(revision 11054)
@@ -49,5 +49,5 @@
 
         protected:
-            virtual void incomingChat(const std::string& message, const std::string& name);
+            virtual void incomingChat(const std::string& message, const std::string& name) override;
 
             std::list<Ogre::DisplayString> messages_;
Index: code/branches/cpp11_v3/src/modules/overlays/hud/CountDown.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/CountDown.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/CountDown.cc	(revision 11054)
@@ -71,5 +71,5 @@
         RegisterObject(CountDown);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->hasStopped_ = false;
     }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/CountDown.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/CountDown.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/CountDown.h	(revision 11054)
@@ -44,7 +44,7 @@
             virtual ~CountDown();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
+            virtual void tick(float dt) override;
 
             inline void setCounter(float value)
Index: code/branches/cpp11_v3/src/modules/overlays/hud/DeathMessage.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/DeathMessage.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/DeathMessage.cc	(revision 11054)
@@ -40,5 +40,5 @@
         RegisterObject(DeathMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->setDelay(2.0f);
Index: code/branches/cpp11_v3/src/modules/overlays/hud/DeathMessage.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/DeathMessage.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/DeathMessage.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~DeathMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void deathmessage(const GametypeInfo* gtinfo, const std::string& message);
+            virtual void deathmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/GametypeFadingMessage.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 11054)
@@ -40,5 +40,5 @@
         RegisterObject(GametypeFadingMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->setDelay(2.0f);
         this->setFadeouttime(0.5f);
Index: code/branches/cpp11_v3/src/modules/overlays/hud/GametypeFadingMessage.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~GametypeFadingMessage();
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void fadingmessage(const GametypeInfo* gtinfo, const std::string& message);
+            virtual void fadingmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/GametypeStaticMessage.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 11054)
@@ -42,5 +42,5 @@
     {
         RegisterObject(GametypeStaticMessage);
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/GametypeStaticMessage.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 11054)
@@ -46,7 +46,7 @@
             virtual ~GametypeStaticMessage();
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void staticmessage(const GametypeInfo* gtinfo, const std::string& message, const ColourValue& colour);
+            virtual void staticmessage(const GametypeInfo* gtinfo, const std::string& message, const ColourValue& colour) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDBar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDBar.cc	(revision 11054)
@@ -219,5 +219,5 @@
             return barColours_[index];
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDBar.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDBar.h	(revision 11054)
@@ -52,5 +52,5 @@
         virtual ~BarColour() { }
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);     
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setColour(const ColourValue& colour) { this->colour_ = colour; }
@@ -72,5 +72,5 @@
         virtual ~HUDBar();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void clearColours();
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDBoostBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDBoostBar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDBoostBar.cc	(revision 11054)
@@ -42,5 +42,5 @@
         RegisterObject(HUDBoostBar);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->flashInterval_ = 0.25f;
         this->flashDt_ = 0.0f;
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDBoostBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDBoostBar.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDBoostBar.h	(revision 11054)
@@ -43,6 +43,6 @@
         virtual ~HUDBoostBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyHealthBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 11054)
@@ -30,4 +30,5 @@
 
 #include "core/config/ConfigValueIncludes.h"
+#include "core/CoreIncludes.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -41,5 +42,5 @@
 
         this->setConfigValues();
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
@@ -62,5 +63,5 @@
     void HUDEnemyHealthBar::updateTarget()
     {
-        Pawn* pawn = NULL;
+        Pawn* pawn = nullptr;
         if (this->owner_ && this->useEnemyBar_)
         {
@@ -73,9 +74,9 @@
             // Don't show the HealthBar if the pawn is invisible
             if (pawn && !pawn->isVisible())
-                pawn = NULL;
+                pawn = nullptr;
         }
         // Set the pawn as owner of the HealthBar
         this->setHealthBarOwner(pawn);
-        this->setVisible(pawn != NULL);
+        this->setVisible(pawn != nullptr);
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyHealthBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 11054)
@@ -41,7 +41,7 @@
 
             void setConfigValues();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            void changedOwner();
+            virtual void changedOwner() override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.cc	(revision 11054)
@@ -43,5 +43,5 @@
         RegisterObject(HUDHealthBar);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->bUseBarColour_ = false;
         this->textOffset_ = Vector2(0.0f, 0.0f);
@@ -66,5 +66,5 @@
         {
             this->textoverlay_->destroy();
-            this->textoverlay_ = NULL;
+            this->textoverlay_ = nullptr;
         }
     }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h	(revision 11054)
@@ -45,10 +45,10 @@
             virtual ~HUDHealthBar();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
-            virtual void changedOwner();
-            virtual void changedOverlayGroup();
-            virtual void changedVisibility();
-            virtual void changedName();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
+            virtual void changedOwner() override;
+            virtual void changedOverlayGroup() override;
+            virtual void changedVisibility() override;
+            virtual void changedName() override;
 
             inline void setTextFont(const std::string& font)
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDNavigation.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDNavigation.cc	(revision 11054)
@@ -53,5 +53,4 @@
 #include "core/config/ConfigValueIncludes.h"
 #include "tools/TextureGenerator.h"
-// #include <boost/bind/bind_template.hpp>
 
 
@@ -69,5 +68,5 @@
     RegisterClass ( HUDNavigation );
 
-    HUDNavigation* HUDNavigation::localHUD_s = 0;
+    HUDNavigation* HUDNavigation::localHUD_s = nullptr;
 
     HUDNavigation::HUDNavigation(Context* context) :
@@ -132,8 +131,8 @@
         }
         this->fontName_ = font;
-        for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
-        {
-            if (it->second.text_ != NULL)
-                it->second.text_->setFontName(this->fontName_);
+        for (const auto& mapEntry : this->activeObjectList_)
+        {
+            if (mapEntry.second.text_ != nullptr)
+                mapEntry.second.text_->setFontName(this->fontName_);
         }
     }
@@ -152,8 +151,8 @@
         }
         this->textSize_ = size;
-        for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it!=this->activeObjectList_.end(); ++it)
-        {
-            if (it->second.text_)
-                it->second.text_->setCharHeight(size);
+        for (const auto& mapEntry : this->activeObjectList_)
+        {
+            if (mapEntry.second.text_)
+                mapEntry.second.text_->setCharHeight(size);
         }
     }
@@ -183,10 +182,10 @@
 
         Camera* cam = CameraManager::getInstance().getActiveCamera();
-        if (cam == NULL)
+        if (cam == nullptr)
         return;
         const Matrix4& camTransform = cam->getOgreCamera()->getProjectionMatrix() * cam->getOgreCamera()->getViewMatrix();
 
-        for (std::list<std::pair<RadarViewable*, unsigned int> >::iterator listIt = this->sortedObjectList_.begin(); listIt != this->sortedObjectList_.end(); ++listIt)
-        listIt->second = (int)((listIt->first->getRVWorldPosition() - HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition()).length() + 0.5f);
+        for (std::pair<RadarViewable*, unsigned int>& pair : this->sortedObjectList_)
+        pair.second = (int)((pair.first->getRVWorldPosition() - HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition()).length() + 0.5f);
 
         this->sortedObjectList_.sort(compareDistance);
@@ -209,5 +208,5 @@
         bool nextHasToBeSelected = false;
 
-        for (std::list<std::pair<RadarViewable*, unsigned int> >::iterator listIt = this->sortedObjectList_.begin(); listIt != this->sortedObjectList_.end(); ++markerCount, ++listIt)
+        for (std::list<std::pair<RadarViewable*, unsigned int>>::iterator listIt = this->sortedObjectList_.begin(); listIt != this->sortedObjectList_.end(); ++markerCount, ++listIt)
         {
 
@@ -469,7 +468,7 @@
                     if(!it->second.selected_
                             || it->first->getRVVelocity().squaredLength() == 0
-                            || pawn == NULL
+                            || pawn == nullptr
                             /* TODO : improve getTeam in such a way that it works
-                             * || humanPawn == NULL
+                             * || humanPawn == nullptr
                              * || pawn->getTeam() == humanPawn->getTeam()*/)
                     {
@@ -525,16 +524,16 @@
         float yScale = this->getActualSize().y;
 
-        for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
-        {
-            if (it->second.health_ != NULL)
-                it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
-            if (it->second.healthLevel_ != NULL)
-                it->second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
-            if (it->second.panel_ != NULL)
-                it->second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
-            if (it->second.text_ != NULL)
-                it->second.text_->setCharHeight(this->textSize_ * yScale);
-            if (it->second.target_ != NULL)
-                it->second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
+        for (const auto& mapEntry : this->activeObjectList_)
+        {
+            if (mapEntry.second.health_ != nullptr)
+                mapEntry.second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
+            if (mapEntry.second.healthLevel_ != nullptr)
+                mapEntry.second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
+            if (mapEntry.second.panel_ != nullptr)
+                mapEntry.second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
+            if (mapEntry.second.text_ != nullptr)
+                mapEntry.second.text_->setCharHeight(this->textSize_ * yScale);
+            if (mapEntry.second.target_ != nullptr)
+                mapEntry.second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
         }
     }
@@ -546,5 +545,5 @@
 
         if (this->activeObjectList_.size() >= this->markerLimit_)
-        if (object == NULL)
+        if (object == nullptr)
         return;
 
@@ -634,5 +633,5 @@
         }
 
-        for (std::list<std::pair<RadarViewable*, unsigned int> >::iterator listIt = this->sortedObjectList_.begin(); listIt != this->sortedObjectList_.end(); ++listIt)
+        for (std::list<std::pair<RadarViewable*, unsigned int>>::iterator listIt = this->sortedObjectList_.begin(); listIt != this->sortedObjectList_.end(); ++listIt)
         {
             if ((listIt->first) == viewable)
@@ -664,8 +663,8 @@
     {
         const std::set<RadarViewable*>& respawnObjects = this->getOwner()->getScene()->getRadar()->getRadarObjects();
-        for (std::set<RadarViewable*>::const_iterator it = respawnObjects.begin(); it != respawnObjects.end(); ++it)
-        {
-            if (!(*it)->isHumanShip_)
-            this->addObject(*it);
+        for (RadarViewable* respawnObject : respawnObjects)
+        {
+            if (!respawnObject->isHumanShip_)
+            this->addObject(respawnObject);
         }
     }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDNavigation.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDNavigation.h	(revision 11054)
@@ -51,19 +51,19 @@
             void setConfigValues();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             // RadarListener interface
-            virtual void addObject(RadarViewable* object);
-            virtual void removeObject(RadarViewable* viewable);
-            virtual void objectChanged(RadarViewable* viewable);
+            virtual void addObject(RadarViewable* object) override;
+            virtual void removeObject(RadarViewable* viewable) override;
+            virtual void objectChanged(RadarViewable* viewable) override;
 
-            virtual void changedOwner();
-            virtual void sizeChanged();
-            virtual void angleChanged() { }
-            virtual void positionChanged() { }
-            virtual void radarTick(float dt) {}
+            virtual void changedOwner() override;
+            virtual void sizeChanged() override;
+            virtual void angleChanged() override { }
+            virtual void positionChanged() override { }
+            virtual void radarTick(float dt) override {}
 
-            inline float getRadarSensitivity() const
+            virtual inline float getRadarSensitivity() const override
                 { return 1.0f; }
 
@@ -141,5 +141,5 @@
 
             std::map<RadarViewable*, ObjectInfo> activeObjectList_;
-            std::list<std::pair<RadarViewable*, unsigned int> > sortedObjectList_;
+            std::list<std::pair<RadarViewable*, unsigned int>> sortedObjectList_;
 
             float healthMarkerSize_;
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDRadar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDRadar.cc	(revision 11054)
@@ -68,5 +68,5 @@
         this->shapeMaterials_[RadarViewable::Triangle] = "RadarTriangle.png";
         this->shapeMaterials_[RadarViewable::Square]   = "RadarSquare.png";
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->map3DFront_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
@@ -92,8 +92,7 @@
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->map3DBack_);
 
-            for (std::map<RadarViewable*,Ogre::PanelOverlayElement*>::iterator it = this->radarObjects_.begin();
-                it != this->radarObjects_.end(); ++it)
-            {
-                Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second);
+            for (const auto& mapEntry : this->radarObjects_)
+            {
+                Ogre::OverlayManager::getSingleton().destroyOverlayElement(mapEntry.second);
             }
         }
@@ -166,7 +165,6 @@
     {
         const std::set<RadarViewable*>& objectSet = this->getCreator()->getScene()->getRadar()->getRadarObjects();
-        std::set<RadarViewable*>::const_iterator it;
-        for( it=objectSet.begin(); it!=objectSet.end(); ++it )
-            this->addObject(*it);
+        for( RadarViewable* viewable : objectSet )
+            this->addObject(viewable);
         this->radarTick(0);
     }
@@ -184,6 +182,4 @@
 
         // update the distances for all objects
-        std::map<RadarViewable*,Ogre::PanelOverlayElement*>::iterator it;
-
 
         if(RadarMode_)
@@ -202,8 +198,8 @@
         }
 
-        for( it = this->radarObjects_.begin(); it != this->radarObjects_.end(); ++it )
+        for( const auto& mapEntry : this->radarObjects_ )
         {
             // Make sure the object really is a WorldEntity
-            const WorldEntity* wePointer = it->first->getWorldEntity();
+            const WorldEntity* wePointer = mapEntry.first->getWorldEntity();
             if( !wePointer )
             {
@@ -211,5 +207,5 @@
                 assert(0);
             }
-            bool isFocus = (it->first == focusObject);
+            bool isFocus = (mapEntry.first == focusObject);
             // set size to fit distance...
             float distance = (wePointer->getWorldPosition() - this->owner_->getPosition()).length();
@@ -218,8 +214,8 @@
             float size;
             if(RadarMode_)
-                size = maximumDotSize3D_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * it->first->getRadarObjectScale();
+                size = maximumDotSize3D_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * mapEntry.first->getRadarObjectScale();
             else
-                size = maximumDotSize_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * it->first->getRadarObjectScale();
-            it->second->setDimensions(size, size);
+                size = maximumDotSize_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * mapEntry.first->getRadarObjectScale();
+            mapEntry.second->setDimensions(size, size);
 
             // calc position on radar...
@@ -235,7 +231,7 @@
                 int zOrder = determineMap3DZOrder(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), detectionLimit_);
                 if(overXZPlain == false /*&& (it->second->getZOrder() >  100 * this->overlay_->getZOrder())*/) // it appears that zOrder of attached Overlayelements is 100 times the zOrder of the Overlay
-                    it->second->_notifyZOrder(this->overlay_->getZOrder() * 100 - 70 + zOrder);
+                    mapEntry.second->_notifyZOrder(this->overlay_->getZOrder() * 100 - 70 + zOrder);
                 if(overXZPlain == true /*&& (it->second->getZOrder() <= 100 * this->overlay_->getZOrder())*/)
-                    it->second->_notifyZOrder(this->overlay_->getZOrder() * 100 + 70 + zOrder);
+                    mapEntry.second->_notifyZOrder(this->overlay_->getZOrder() * 100 + 70 + zOrder);
             }
             else
@@ -243,10 +239,10 @@
 
             coord *= math::pi / 3.5f; // small adjustment to make it fit the texture
-            it->second->setPosition((1.0f + coord.x - size) * 0.5f, (1.0f - coord.y - size) * 0.5f);
+            mapEntry.second->setPosition((1.0f + coord.x - size) * 0.5f, (1.0f - coord.y - size) * 0.5f);
 
             if( distance < detectionLimit_ || detectionLimit_ < 0 )
-                it->second->show();
+                mapEntry.second->show();
             else
-                it->second->hide();
+                mapEntry.second->hide();
 
             // if this object is in focus, then set the focus marker
@@ -256,5 +252,5 @@
                 this->marker_->setPosition((1.0f + coord.x - size * 1.5f) * 0.5f, (1.0f - coord.y - size * 1.5f) * 0.5f);
                 if(RadarMode_)
-                    this->marker_->_notifyZOrder(it->second->getZOrder() -1);
+                    this->marker_->_notifyZOrder(mapEntry.second->getZOrder() -1);
                 this->marker_->show();
             }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDRadar.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDRadar.h	(revision 11054)
@@ -50,6 +50,6 @@
         virtual ~HUDRadar();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void changedOwner();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void changedOwner() override;
         void setConfigValues();
 
@@ -80,5 +80,5 @@
         void set3DMaterialBack(std::string material3DBack) { this->material3DBack_ = material3DBack; }
 
-        float getRadarSensitivity() const { return this->sensitivity_; }
+        virtual float getRadarSensitivity() const override { return this->sensitivity_; }
         // used also by RadarListener interface!
         void setRadarSensitivity(float sensitivity) { this->sensitivity_ = sensitivity; }
@@ -89,8 +89,8 @@
 
         // RadarListener interface
-        virtual void addObject(RadarViewable* viewable);
-        virtual void removeObject(RadarViewable* viewable);
-        virtual void objectChanged( RadarViewable* rv );
-        void radarTick(float dt);
+        virtual void addObject(RadarViewable* viewable) override;
+        virtual void removeObject(RadarViewable* viewable) override;
+        virtual void objectChanged( RadarViewable* rv ) override;
+        virtual void radarTick(float dt) override;
         bool showObject( RadarViewable* rv ); //!< Do not display an object on radar, if showObject(.) is false.
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDSpeedBar.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 11054)
@@ -43,5 +43,5 @@
         RegisterObject(HUDSpeedBar);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDSpeedBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDSpeedBar.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDSpeedBar.h	(revision 11054)
@@ -44,6 +44,6 @@
         virtual ~HUDSpeedBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDTimer.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDTimer.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDTimer.cc	(revision 11054)
@@ -42,5 +42,5 @@
         RegisterObject(HUDTimer);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDTimer.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDTimer.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDTimer.h	(revision 11054)
@@ -43,7 +43,7 @@
         virtual ~HUDTimer();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
-        virtual void changedOwner();
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.cc	(revision 11054)
@@ -141,5 +141,5 @@
     void HUDWeapon::updateWeaponModeList()
     {
-        if (owner_ == NULL || weapon_ == NULL)
+        if (owner_ == nullptr || weapon_ == nullptr)
         {
             return;
Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.cc	(revision 11054)
@@ -117,5 +117,5 @@
     void HUDWeaponSystem::updateWeaponList()
     {
-        if (owner_ == NULL)
+        if (owner_ == nullptr)
         {
             return;
Index: code/branches/cpp11_v3/src/modules/overlays/hud/KillMessage.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/KillMessage.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/KillMessage.cc	(revision 11054)
@@ -40,5 +40,5 @@
         RegisterObject(KillMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->setDelay(2.0f);
Index: code/branches/cpp11_v3/src/modules/overlays/hud/KillMessage.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/KillMessage.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/KillMessage.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~KillMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void killmessage(const GametypeInfo* gtinfo, const std::string& message);
+            virtual void killmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/LastManStandingInfos.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 11054)
@@ -43,6 +43,6 @@
         RegisterObject(LastManStandingInfos);
 
-        this->lms_ = 0;
-        this->player_ = 0;
+        this->lms_ = nullptr;
+        this->player_ = nullptr;
         this->bShowLives_ = false;
         this->bShowPlayers_ = false;
@@ -91,6 +91,6 @@
         else
         {
-            this->player_ = 0;
-            this->lms_ = 0;
+            this->player_ = nullptr;
+            this->lms_ = nullptr;
         }
     }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/LastManStandingInfos.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/LastManStandingInfos.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/LastManStandingInfos.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~LastManStandingInfos();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: code/branches/cpp11_v3/src/modules/overlays/hud/LastTeamStandingInfos.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 11054)
@@ -43,6 +43,6 @@
         RegisterObject(LastTeamStandingInfos);
 
-        this->lts_ = 0;
-        this->player_ = 0;
+        this->lts_ = nullptr;
+        this->player_ = nullptr;
         this->bShowLives_ = false;
         this->bShowTeams_ = false;
@@ -91,6 +91,6 @@
         else
         {
-            this->player_ = 0;
-            this->lts_ = 0;
+            this->player_ = nullptr;
+            this->lts_ = nullptr;
         }
     }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/LastTeamStandingInfos.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~LastTeamStandingInfos();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: code/branches/cpp11_v3/src/modules/overlays/hud/PauseNotice.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/PauseNotice.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/PauseNotice.cc	(revision 11054)
@@ -40,5 +40,5 @@
         RegisterObject(PauseNotice);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v3/src/modules/overlays/hud/PauseNotice.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/PauseNotice.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/PauseNotice.h	(revision 11054)
@@ -42,8 +42,8 @@
             PauseNotice(Context* context);
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 11054)
@@ -43,5 +43,5 @@
         RegisterObject(TeamBaseMatchScore);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->bShowBases_ = false;
@@ -120,5 +120,5 @@
             this->owner_ = orxonox_cast<TeamBaseMatch*>(this->getOwner()->getGametype());
         else
-            this->owner_ = 0;
+            this->owner_ = nullptr;
     }
 }
Index: code/branches/cpp11_v3/src/modules/overlays/hud/TeamBaseMatchScore.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 11054)
@@ -43,7 +43,7 @@
             virtual ~TeamBaseMatchScore();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowBases(bool value)
Index: code/branches/cpp11_v3/src/modules/overlays/stats/CreateLines.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/stats/CreateLines.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/stats/CreateLines.cc	(revision 11054)
@@ -37,20 +37,20 @@
     CreateLines::CreateLines(float leftOffset, float topOffset, float width, float height)
     {
-        playerNameText_ = new OverlayText(0);
+        playerNameText_ = new OverlayText(nullptr);
         playerNameText_->setTextSize(0.04f);
         playerNameText_->setColour(ColourValue(0.0f, 0.75f, 0.2f, 1.0f));
         playerNameText_->setPosition(Vector2(0.1f, topOffset + 0.01f));
 
-        scoreText_ = new OverlayText(0);
+        scoreText_ = new OverlayText(nullptr);
         scoreText_->setTextSize(0.04f);
         scoreText_->setColour(ColourValue(0.0f, 0.75f, 0.2f, 1.0f));
         scoreText_->setPosition(Vector2(0.6f, topOffset + 0.01f));
 
-        deathsText_ = new OverlayText(0);
+        deathsText_ = new OverlayText(nullptr);
         deathsText_->setTextSize(0.04f);
         deathsText_->setColour(ColourValue(0, 0.75f, 0.2f, 1.0f));
         deathsText_->setPosition(Vector2(0.8f, topOffset + 0.01f));
 
-        background_ = new Stats(0);
+        background_ = new Stats(nullptr);
         background_->setPosition(Vector2(leftOffset, topOffset));
         background_->setSize(Vector2(width, height));
Index: code/branches/cpp11_v3/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/stats/Scoreboard.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/stats/Scoreboard.cc	(revision 11054)
@@ -60,6 +60,6 @@
         SUPER(Scoreboard, changedVisibility);
 
-        for (unsigned int i = 0; i < this->lines_.size(); ++i)
-            this->lines_[i]->changedVisibility();
+        for (CreateLines* line : this->lines_)
+            line->changedVisibility();
     }
 
@@ -94,9 +94,9 @@
 
         unsigned int index = 0;
-        for (std::map<PlayerInfo*, Player>::const_iterator it = playerList.begin(); it != playerList.end(); ++it)
+        for (const auto& mapEntry : playerList)
         {
-            this->lines_[index]->setPlayerName(multi_cast<std::string>(it->first->getName()));
-            this->lines_[index]->setScore(multi_cast<std::string>(it->second.frags_));
-            this->lines_[index]->setDeaths(multi_cast<std::string>(it->second.killed_));
+            this->lines_[index]->setPlayerName(multi_cast<std::string>(mapEntry.first->getName()));
+            this->lines_[index]->setScore(multi_cast<std::string>(mapEntry.second.frags_));
+            this->lines_[index]->setDeaths(multi_cast<std::string>(mapEntry.second.killed_));
             index++;
         }
Index: code/branches/cpp11_v3/src/modules/overlays/stats/Scoreboard.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/stats/Scoreboard.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/stats/Scoreboard.h	(revision 11054)
@@ -44,5 +44,5 @@
         virtual ~Scoreboard();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
         inline void setCreateLines(CreateLines* cl)
@@ -51,5 +51,5 @@
             { return this->createlines_; }
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
     private: // functions
Index: code/branches/cpp11_v3/src/modules/overlays/stats/Stats.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/stats/Stats.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/stats/Stats.cc	(revision 11054)
@@ -46,6 +46,6 @@
     Stats::Stats(Context* context)
         : OrxonoxOverlay(context)
-        , statsOverlayNoise_(0)
-        , statsOverlayBorder_(0)
+        , statsOverlayNoise_(nullptr)
+        , statsOverlayBorder_(nullptr)
     {
         RegisterObject(Stats);
Index: code/branches/cpp11_v3/src/modules/overlays/stats/Stats.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/stats/Stats.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/overlays/stats/Stats.h	(revision 11054)
@@ -46,5 +46,5 @@
         void setConfigValues();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
     private: // variables
